L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de Exchange, Windows, Office : buffer overflow de OLE

Synthèse de la vulnérabilité 

Un attaquant peut employer un buffer overflow de OLE pour faire exécuter du code sur la machine.
Logiciels impactés : Exchange, Office, Access, Excel, Outlook, PowerPoint, Word, Windows 2000, Windows 2003, Windows 95, Windows 98, Windows ME, Windows XP.
Gravité de cette vulnérabilité informatique : 4/4.
Date de création : 09/02/2005.
Date de révision : 24/05/2005.
Références de cette annonce : BID-12440, BID-12488, CVE-2005-0044, MS05-012, V6-WINOLECOMEXEC, VIGILANCE-VUL-4744, VU#927889.

Description de la vulnérabilité 

La technologie OLE permet d'inclure des objets dans des documents. Par exemple, une feuille Excel peut être incluse dans un document Word.

Un débordement de mémoire est présent dans l'implémentation de OLE. Ses détails techniques ne sont pas connus.

Cette vulnérabilité permet à un attaquant local d'accroître ses privilèges, en utilisant Office ou Windows.
Cette vulnérabilité permet à un attaquant distant de faire exécuter du code sur Exchange, en envoyant un email spécial.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Cette vulnérabilité concerne les logiciels ou systèmes comme Exchange, Office, Access, Excel, Outlook, PowerPoint, Word, Windows 2000, Windows 2003, Windows 95, Windows 98, Windows ME, Windows XP.

Notre équipe Vigil@nce a déterminé que la gravité de cet avis de vulnérabilité informatique est critique.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de client internet.

Un attaquant avec un niveau de compétence expert peut exploiter cette alerte cyber-sécurité.

Solutions pour cette menace 

Exchange, Windows, Office : patch Microsoft.
L'annonce de Microsoft indique les patches et solutions alternatives.
L'article 894391 présente des problèmes liés aux attachements DBCS.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit une analyse de vulnérabilité de réseau. L'équipe Vigil@nce surveille les vulnérabilités informatiques de systèmes et d'applications.